import {BasicColumn, FormSchema} from "@/components/Table";
import {DescItem} from "@/components/Description";


export const columns: BasicColumn[] = [
  {
    title: '调度时间',
    dataIndex: 'dispatchTime',
    width: 160,
  },
  {
    title: '执行时间',
    dataIndex: 'executeTime',
    width: 160,
  },
  {
    title: '影响行数',
    dataIndex: 'rows',
    width: 90,
  },
  {
    title: '执行时长',
    dataIndex: 'executeDuration',
    width: 90,
  },
  {
    title: '运行状态',
    dataIndex: 'operationalStatus',
    width: 90,
    slots: { customRender: 'operationalStatus' },
  },
  {
    title: '执行版本',
    dataIndex: 'version',
    width: 90,
  },
  {
    title: '执行模式',
    dataIndex: 'executeMode',
    width: 90,
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: ' ',
    component: 'Input',
    colProps: { span: 8 },
    componentProps: {
      placeholder: '输入关键字搜索',
    },
  },
  {
    field: 'flag',
    label: ' ',
    component: 'Select',
    componentProps: {
      placeholder: '按来源过滤',
      options: [
        { label: '指标汇总表', value: '1' },
      ],
    },
    colProps: { span: 8 },
  },
];

export const schema: DescItem[] = [
  {
    field: 'schedulingCycle',
    label: '调度周期',
  },
  {
    field: 'publishingStatus',
    label: '发布状态',
  },
  {
    field: 'createdBy',
    label: '创建者',
  },

];
